/* Global */

html {
    -webkit-text-size-adjust: 100%; /* Prevent font scaling in landscape while allowing user zoom */
}

body {
	margin: 0;
	background-image: url('images/background.png');
	font-family: 'Georgia', serif;
	font-size: 16px;
}

p {
	margin: 0 0 16px 0;
	padding: 0;
}

h1, h2, h3, h4, h5, h6 {
	font-family: 'Francois One', sans-serif;
	color: #732f0f;	
}

h1 {
	font-size: 28px;
	margin: 16px 0;
}

h2 {
	font-size: 22px;
	text-decoration: underline;
}

a:link, a:visited {
	text-decoration: underline;
	color: #0000FF;
	
}

a:hover {
	color: #732f0f;
}
	
main {
	max-width: 960px;
	margin: 0 auto;
	box-shadow: 0px 0px 5px #888888;
	background: url('images/background-2.png'), white;
	background-repeat: no-repeat;
	overflow: hidden;
}

section, .page-title {
	padding: 0 10px;
}

.align-right {
	float: right;
}

.align-left {
	float: left;
}

img {
	max-width: 100%;
}

img.padded {
	padding: 0 10px 10px 10px;
}

/* Header */
#menu-icon {
	float: right;
	font-size: 35px;
	padding-top: 8px;
	padding-right: 10px;
	color: grey;
	cursor: pointer;
}

#menu-icon:hover {
	color: #FFA500;
}

header {
	max-width: 960px;
	margin: 0 auto;
}

#logo-menu-wrapper a:link, #logo-menu-wrapper a:visited {
	background-color: #393a1c;
}

/* Navigation Menus */

#main-navigation {
	background-color: #393a1c;
	border-bottom: 4px solid #732f0f;
}

nav {
	font-family: 'Francois One', sans-serif;
}

nav ul {
	list-style-type: none;
	padding: 0;
	margin: 0;
}

nav ul li a:link, nav ul li a:visited {
	color: white;
	text-decoration: none;
}

nav ul li a:hover {
color: #FFA500;
}

a.current:link, a.current:visited{
	color: #FFA500;
	text-decoration: none;
}

#main-navigation ul {
	text-align: center;
}

#main-navigation ul li {
	display: inline-block;
	padding: 15px 30px;
}


#slider-menu {
	position: fixed;
	top: 0;
	height: 100%;
	width: 280px;
	background-color: #393a1c;
	border-right: 2px solid #732f0f;
	
	transition-property: left;
	transition-duration: .3s;
	transition-timing-function: linear;
}

#slider-menu.closed {
	left: -300px;
}

#slider-menu.open{
	left: 0px;
}

#slider-menu ul li {
	clear: both;
	display: block;
	font-size: 16px;
	padding: 10px 25px;
}

#close-icon {
	font-size: 30px;
	margin-right: 15px;
	color: white;
	cursor: pointer;
}

#close-icon:hover {
	color: #FFA500;
}


/* Footer */
footer {
	background: url('images/footer.png');
	border-top: 4px solid #732f0f;
	border-bottom: 4px solid #732f0f;
	color: white;
	font-family: 'Francois One', sans-serif;
	text-align: center;
	max-width: 960px;
	margin: 0 auto;
	box-shadow: 0px 0px 5px #888888;
}


.footer-text {
	display: inline-block;
	margin: 20px 4px;
}

.footer-text a:link, .footer-text a:visited {
	color: white;
}

.footer-text a:hover {
	color: #FFA500;
}

/* Index Page */

#main-pic {
	width: 100%;
	margin: 0 auto;
}

#welcome {
	max-width: 60%;
}

#featured-geckos {
	max-width: 30%;
	text-align: center;
}

.featured-gecko {
	padding-bottom: 10px;
}

/* About Us Page */
#jayden-pic {
	max-width: 400px;
}

/* Contact */
#contact img {
	max-width: 400px;
}



/* Responsive */
@media screen and (max-width: 840px) {
	#main-navigation ul li {
		padding: 15px 15px;
	}
	

}

@media screen and (max-width: 700px) {

	.logo-image {
		max-width: 300px;
	}	

	
	#main-navigation ul li {
		font-size: 14px;
		padding: 10px 5px;
	}
	
	body {
			font-size: 14px;
	}
	
	h1 {
		font-size: 22px;
		margin: 5px 0;
	}
	
	#menu-icon {
		padding-top: 3px;
	}
	
	#welcome {
		max-width: 100%;
	}
	
	#featured-geckos {
		max-width: 100%;
		float: none;
	}
	

}

@media screen and (max-width: 640px) {

	
	#jayden-pic {
		max-width: 300px;
	}	
		
	#for-sale p, #for-sale img, #contact p, #contact img {
		float: left;
	}
	
	#contact img {
		max-width: 100%;
	}
}

@media screen and (max-width: 530px) {
	img.padded {
		padding: 0 0 10px 0;
	}
	
	#jayden-pic {
		max-width: 100%;
	}
	
	#main-navigation {
		display: none;
	}
	
	#logo-menu-wrapper {
		background-image: url('images/background-header-image.png');
		border-bottom: 4px solid #732f0f;
	}
	
	#menu-icon {
		color: white;
	}
	
	footer {
		background-image: none;
		background-color: #393a1c;
	}
}

@media screen and (max-width: 359px) {
	.logo-image {
		max-width: 100px;
		height: 40px;
		visibility: hidden;
	}

	#slider-menu {
		width: 200px;
	}
}